package com.foreverwin.mesnac.common.controller;


import com.foreverwin.mesnac.common.model.CustomReportConfig;
import com.foreverwin.mesnac.common.service.CustomReportInterface;
import com.foreverwin.modular.core.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

/**  
 * 
 * @Title:  CustomReportController.java   
 * @Package com.knsdev.webapi.ws   
 * @Description: 自定义报表 controller   
 * @author: Andy    
 * @date:   2020年10月15日 下午1:16:55   
 * @version V1.0 
 *
 * @History 操作记录
 * 2020年10月15日 下午1:16:55 Andy add
 *
 * 相关FDS
 * MD-ME-112-自定义报表
 * 
 */

@RestController
	@RequestMapping("/customReport")
public class CustomReportController {

    @Autowired
	private CustomReportInterface reportAPI;
	
	//页面载入
	@ResponseBody
	@GetMapping("/load/{site}/{reportid}")
    public R loadMethod(@PathVariable("site") String site, @PathVariable("reportid") String reportid)
    {
      try{
    	   CustomReportConfig config = reportAPI.Load(site, reportid);
    	    return R.ok(config);
    	} catch (Exception ex) {
    		return R.failed(ex.getMessage());
    	}
    }

	//查询
	@ResponseBody
	@PostMapping("/")
	public R queryMethod(@RequestBody String condition)
	{
	 try{
		    List<Map<String, Object>> res=reportAPI.Query(condition);
			return R.ok(res);
		} catch (Exception ex) {
			return R.failed(ex.getMessage());
		}
	}
	

}